#!/bin/sh
echo 'name: gstreamer
version: 0.12.1
id: gstreamer-0.12.1-dcc6262cf7d38f05dc7ab5b47ecd8f8c

license: LGPL-2.1
copyright: (c) 2001-2010 The Gtk2Hs Team
maintainer: gtk2hs-users@lists.sourceforge.net
stability: stable
homepage: http://projects.haskell.org/gtk2hs/
package-url:
description: This package provides a wrapper around the GStreamer C library. GStreamer is a library
             for constructing graphs of media-handling components. The applications it supports
             range from simple Ogg/Vorbis playback, audio/video streaming to complex audio
             (mixing) and video (non-linear editing) processing.
category: Media
author: Peter Gavin, Axel Simon
exposed: True
exposed-modules: Media.Streaming.GStreamer.Core.Signals
                 Media.Streaming.GStreamer.Core.Hierarchy
                 Media.Streaming.GStreamer.Core.MiniHierarchy
                 Media.Streaming.GStreamer.Core.Types
                 Media.Streaming.GStreamer.Core.Constants
                 Media.Streaming.GStreamer.Core.Init
                 Media.Streaming.GStreamer.Core.Object
                 Media.Streaming.GStreamer.Core.HierarchyBase
                 Media.Streaming.GStreamer.Core.MiniObject
                 Media.Streaming.GStreamer.Core.MiniHierarchyBase
                 Media.Streaming.GStreamer.Core.Element
                 Media.Streaming.GStreamer.Core.Pad
                 Media.Streaming.GStreamer.Core.GhostPad
                 Media.Streaming.GStreamer.Core.Bin
                 Media.Streaming.GStreamer.Core.Format
                 Media.Streaming.GStreamer.Core.ElementFactory
                 Media.Streaming.GStreamer.Core.Caps
                 Media.Streaming.GStreamer.Core.Structure
                 Media.Streaming.GStreamer.Core.Message
                 Media.Streaming.GStreamer.Core.Buffer
                 Media.Streaming.GStreamer.Core.Event
                 Media.Streaming.GStreamer.Core.Query
                 Media.Streaming.GStreamer.Core.Bus
                 Media.Streaming.GStreamer.Core.Clock
                 Media.Streaming.GStreamer.Core.PadTemplate
                 Media.Streaming.GStreamer.Core.ImplementsInterface
                 Media.Streaming.GStreamer.Core.Index
                 Media.Streaming.GStreamer.Core.IndexFactory
                 Media.Streaming.GStreamer.Core.Iterator
                 Media.Streaming.GStreamer.Core.Parse
                 Media.Streaming.GStreamer.Core.Pipeline
                 Media.Streaming.GStreamer.Core.Plugin
                 Media.Streaming.GStreamer.Core.PluginFeature
                 Media.Streaming.GStreamer.Core.Registry
                 Media.Streaming.GStreamer.Core.Segment
                 Media.Streaming.GStreamer.Core.SystemClock
                 Media.Streaming.GStreamer.Core.TagList
                 Media.Streaming.GStreamer.Core
                 Media.Streaming.GStreamer.Base.Constants
                 Media.Streaming.GStreamer.Base.Types
                 Media.Streaming.GStreamer.Base.BaseSrc
                 Media.Streaming.GStreamer.Base.BaseSink
                 Media.Streaming.GStreamer.Base.BaseTransform
                 Media.Streaming.GStreamer.Base.PushSrc
                 Media.Streaming.GStreamer.Base.Adapter
                 Media.Streaming.GStreamer.Base.CollectPads
                 Media.Streaming.GStreamer.Base
                 Media.Streaming.GStreamer.Controller.Types
                 Media.Streaming.GStreamer.Controller.Controller
                 Media.Streaming.GStreamer.Net.Types
                 Media.Streaming.GStreamer.Net.NetClientClock
                 Media.Streaming.GStreamer.DataProtocol.Constants
                 Media.Streaming.GStreamer.DataProtocol.DataProtocol
                 Media.Streaming.GStreamer.Audio.Constants
                 Media.Streaming.GStreamer.Audio.Types
                 Media.Streaming.GStreamer.Audio.Audio
                 Media.Streaming.GStreamer.Audio.AudioClock
                 Media.Streaming.GStreamer
hidden-modules:
import-dirs: /usr/local/lib/ghc-7.0.4/cabal/gstreamer-0.12.1
library-dirs: /usr/local/lib/ghc-7.0.4/cabal/gstreamer-0.12.1
              /usr/local/lib
hs-libraries: HSgstreamer-0.12.1
extra-libraries: gstaudio-0.10 gstinterfaces-0.10 gstbase-0.10
                 gstcontroller-0.10 gstdataprotocol-0.10 gstnet-0.10 gstreamer-0.10
                 gobject-2.0 gmodule-2.0 xml2 gthread-2.0 glib-2.0
extra-ghci-libraries:
include-dirs: /usr/local/include /usr/local/include/gstreamer-0.10
              /usr/local/include/glib-2.0 /usr/local/include/libxml2
includes: hsgstreamer.h
depends: array-0.3.0.2-ecfce597e0f16c4cd1df0e1d22fd66d4
         base-4.3.1.0-93a63ba911a7eac625848432374f7fee
         bytestring-0.9.1.10-8fbcae7fd1f192307195284611c786a2
         directory-1.1.0.0-ccdcf043bf8bcec9518fbfad880579a5
         glib-0.12.2-4ce526ce8b34c051fc6659d35733dff6
         mtl-2.0.1.0-9763a8821c812a910d327bad2c0d23b2
hugs-options:
cc-options:
ld-options: -pthread
framework-dirs:
frameworks:
haddock-interfaces: /usr/local/share/doc/ghc-7.0.4/cabal/gstreamer-0.12.1/html/gstreamer.haddock
haddock-html: /usr/local/share/doc/ghc-7.0.4/cabal/gstreamer-0.12.1/html
' | '/usr/local/bin/ghc-pkg' 'update' '-' '--global' '--no-user-package-conf' "$@"
